> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All group



## OpenAPI

````yaml Customer post /getAllGroup
openapi: 3.0.0
info:
  title: Customer
  description: customer
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/customer
security:
  - default: []
paths:
  /getAllGroup:
    post:
      tags:
        - Access Control
      summary: Get All group
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAllGroupRequest'
      responses:
        '200':
          description: Get all group response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Group'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - default: []
components:
  schemas:
    GetAllGroupRequest:
      type: object
      properties:
        application:
          $ref: '#/components/schemas/Application'
    Group:
      type: object
      properties:
        groupId:
          type: string
        groupName:
          type: string
        tenantId:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
    ErrorResponse:
      properties:
        httpCode:
          type: number
        internalCode:
          type: number
        internalType:
          type: string
        severity:
          type: string
        description:
          type: string
    Application:
      type: string
      enum:
        - b2b_wallet
        - b2c_wallet
        - admin_wallet
    Role:
      type: object
      properties:
        componentId:
          type: string
        componentName:
          type: string
        accessRight:
          $ref: '#/components/schemas/AccessRight'
        application:
          $ref: '#/components/schemas/Application'
    AccessRight:
      type: string
      enum:
        - read
        - full_control
        - no_visibility
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````